#include "GV.h"

int DrawRotaGraphF(double x,double y,double ExRate,double Angle,int GrHandle,int TransFlag,int TurnFlag=0){
	return DrawRotaGraphF((float)x,(float)y,ExRate,Angle,GrHandle,TransFlag,TurnFlag);
}

void graph_bullet(){
	for(int i=0;i<BULLET_MAX;i++){
		if(bullet[i].flag==1){
			DrawRotaGraphF(bullet[i].x,bullet[i].y,1,0,img_fire[9],TRUE);
		}
	}
}

void graph_tutu(){
	for(int i=0;i<TUTU_MAX;i++){
		if(tutu[i].flag==1){
			DrawRotaGraphF(tutu[i].x,412-16,1,0,img_tutu,TRUE);
		}
	}
}

void graph_ch(){
	DrawRotaGraphF(ch.x,412-16,1,0,img_ch,TRUE);
}

void graph_enemy(){
	for(int i=0;i<ENEMY_MAX;i++){
		if(enemy[i].flag==1){
			DrawRotaGraphF(enemy[i].x,enemy[i].y,1,0,img_enemy,TRUE);
		}
	}
}

void graph_fire(){
	for(int i=0;i<FIRE_MAX;i++){
		if(fire[i].flag==1){
			DrawRotaGraphF(fire[i].x,fire[i].y,1,0,img_fire[fire[i].color],TRUE);
		}
	}
}

void graph_pitagora(){
	char moji[8][4]={
		"s",
		"^",
		"S",
		"",
		"X",
		"C",
		"b",
		"`"
	};

	DrawBox(32,412+20,32+72,412+20+40,color[2],TRUE);
	for(int i=0;i<ch.pitagora_count;i++){
		DrawString(32+4+16*(i%4),412+24+16*(i/4),moji[i],color[3]);
	}
	if(ch.pitagora_count==8){
		DrawString(120,452,"Ĕ!",color[0]);
	}
	
}

void graph_main(){
	switch(func_state){
	case FS_TITLE:
		DrawString(100,100,"Ỉԉ΂ア킯Ȃ",color[0]);
		if(achievement_flag[0]==1){
			DrawString(200,200,"u1MBvB",color[0]);
		}
		else{
			DrawString(200,200,"u1MBvB",color[1]);
		}
		if(achievement_flag[1]==1){
			DrawString(200,220,"uQ[NAvB",color[0]);
		}
		else{
			DrawString(200,220,"uQ[NAvB",color[1]);
		}
		DrawString(100,300,"L[ƃQ[X^[g",color[0]);
		break;
	case FS_GAME:
	case FS_GAMEOVER:
	case FS_CLEAR:
		graph_enemy();
		graph_fire();
		SetDrawArea(0,0,640,412);
		graph_bullet();
		SetDrawArea(0,0,640,480);
		graph_tutu();
		DrawLine(0,412,640,412,color[0]);
		DrawFormatString(0,414,color[0],"%3d MB",ch.score);
		DrawFormatString(200,414,color[0],"s܂ł%2dOp`",ch.hp);
		graph_pitagora();
		graph_ch();
		if(func_state==FS_GAMEOVER){
			DrawString(100,100,"I̔C͎sc",color[0]);
			DrawString(100,120,"L[Ń^Cgɖ߂",color[0]);
		}
		if(func_state==FS_CLEAR){
			DrawString(100,100,"BȈ",color[0]);
			DrawString(100,120,"L[Ń^Cgɖ߂",color[0]);
		}
		break;
	}

}